<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
<!-- zeug-12 -->
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" type="text/css" rel="stylesheet" />
      </head>
	  <body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">
<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url(images/bg.jpg);">
	<tr>
		<td>
        <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
          <tr>
            <td width="100%" height="260px">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td width="100%" height="209px">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="209px">
                      <tr>
                        <td width="100%" height="209px">
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="209px">
                            <tr>
                              <td width="100%" height="197px" colspan="2" style="padding-left:100px">
                                <table cellpadding="0" cellspacing="0" border="0">
                                  <tr>
                                    <td rowspan="2" style="padding-right:15px">
                                      <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                                    </td>
                                    <td class="company">
                                      <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="slogan">
                                      <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="332px" height="12px" style="background-image: url(images/1.jpg); line-height: 0pt">
                                <div style="width: 332px">
                                </div>
                              </td>
                              <td width="100%" height="12px" style="background-image: url(images/3.jpg)">
                              </td>
                            </tr>
                          </table>
                        </td>
                        <td width="411px" height="209px" style="background-image: url(images/header1.jpg)">
                          <div style="width: 411px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="51px" style="background-color: White">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="51px">
                      <tr>
                        <td width="72px" height="51px" style="background-image: url(images/2.jpg)">
                          <div style="width: 72px">
                          </div>
                        </td>
                        <td width="100%" height="51px" valign="middle" align="center" style="padding-left:20px; padding-right:20px">
                          <table cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
                        </td>
                        <td width="65px" height="51px" style="background-image: url(images/header2.jpg)">
                          <div style="width: 65px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="100%">
              <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
                  <td width="256px" height="100%" style="background-image: url(images/undersb.jpg);
                            background-position: right; background-repeat: repeat-y">
                    <table cellpadding="0" cellspacing="0" border="0" width="256px" height="100%">
                      <tr>
                        <td width="256px" height="65px" style="background-image: url(images/s1.jpg)">
                          <div style="width: 256px">
                          </div>
                        </td>
                      </tr>
                      <tr>
                        <td width="256px" height="100%" valign="top">
                          <table cellpadding="0" cellspacing="0" border="0" width="256px">
                            <tr>
                              <td width="256px" align="left" valign="top" height="100px" style="background-image: url(images/s2.jpg);
                                                    padding-left: 63px; padding-right: 30px; padding-top: 49px; padding-bottom: 30px">
                                <table cellpadding="0" cellspacing="0" border="0" width="163px">
                                  <xsl:call-template name="SUB-MENU">
                                    <xsl:with-param name="pageID" select="@ID"/>
                                  </xsl:call-template>
                                </table>
                              </td>
                            </tr>
                            <tr>
                              <td width="256px" height="33px" style="background-image: url(images/s3.jpg)">
                                <div style="width: 256px">
                                </div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td width="256px" height="78px" style="background-image: url(images/s4.jpg)">
                          <div style="width: 256px">
                          </div>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td width="100%" height="100%" class="bg">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                      <tr>
                        <td width="100%" height="49px">
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="49px">
                            <tr>
                              <td width="132px" height="49px" style="background-image: url(images/c1.jpg)">
                                <div style="width: 132px">
                                </div>
                              </td>
                              <td width="100%" height="49px" style="background-image: url(images/c2.jpg)">
                              </td>
                              <td width="310px" height="49px" style="background-image: url(images/c3.jpg)">
                                <div style="width: 310px">
                                </div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" height="100%" align="left" valign="top" style="background-image: url(images/c7.jpg);
                                        background-position: right; background-repeat: repeat-y; padding-left: 30px;
                                        padding-top: 10px">
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                            <tr>
                              <td width="100%" height="30px" class="text-header">
                                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                            <tr>
                              <td class="content" align="left" valign="top" name="SB_stretch" style="padding-right: 40px;">
                                <xsl:apply-templates select="PAGE-CONTENT"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                      <tr>
                        <td width="100%" height="78px">
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="78px">
                            <tr>
                              <td width="92px" height="78px" style="background-image: url(images/c4.jpg)">
                                <div style="width: 92px">
                                </div>
                              </td>
                              <td width="100%" height="78px" style="background-image: url(images/c5.jpg)">
                              </td>
                              <td width="253px" height="78px" style="background-image: url(images/c6.jpg)">
                                <div style="width: 253px">
                                </div>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                  <td width="64px" height="100%">
                    <div style="width: 64px">
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="88px" valign="middle" align="center" class="copyright">
              <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
            </td>
          </tr>
        </table>
		</td>
	</tr>
</table>
      </body>
    </html>
  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="241px" height="25px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td width="15px" height="25px" valign="top">
            <img src="images/subutton.jpg" border="0" />
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="241px" height="25px">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td width="15px" height="25px" valign="top">
              <a href="{@HREF}">
                <img src="images/subutton.jpg" border="0" />
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" style="background-image: url(images/hr.jpg)" width="256px" height="1px">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" > 
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="bmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td style="padding-left:10px; padding-right:10px;text-align: center" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td style="padding-left:10px; padding-right:10px;text-align: center">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td>
        <img src="images/VAP-24_bottom.gif" border="0" />
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
