<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
      <!-- active menu with link-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
          <td height="56px" align="center" style="padding-left:5px; padding-right:5px"  valign="middle">
            <table cellpadding="0" cellspacing="0" border="0" height="56px">
              <tr>
                <td height="56px" width="8px" style="background-image:url(images/m1.jpg); background-repeat:no-repeat">
			<div style="width:8px"></div>
		</td>
                <td height="56px" style="background-image:url(images/m2.jpg); background-repeat:repeat-x; padding-bottom:18px" valign="bottom">
                  <a href="{@HREF}" class="menu" >
                    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                  </a>
                </td>
                <td height="56px" width="10px" style="background-image:url(images/m3.jpg); background-repeat:no-repeat">
		<div style="width:10px"></div>
		</td>
              </tr>
            </table>
          </td>
        </xsl:when>
        <!-- active menu without link-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
          <td height="56px" align="center" style="padding-left:5px; padding-right:5px"  valign="middle">
            <table cellpadding="0" cellspacing="0" border="0" height="56px">
              <tr>
                <td height="56px" width="8px" style="background-image:url(images/m1.jpg); background-repeat:no-repeat">
		<div style="width:8px"></div>
		</td>
                <td height="56px" style="background-image:url(images/m2.jpg); background-repeat:repeat-x; padding-bottom:18px" class="menu" valign="bottom">
                  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                </td>
                <td height="56px" width="10px" style="background-image:url(images/m3.jpg); background-repeat:no-repeat"><div style="width:10px"></div></td>
              </tr>
            </table>
          </td>
        </xsl:when>
        <xsl:otherwise>
          <td height="56px" align="center"  valign="bottom" style="padding-left:5px; padding-right:5px;padding-bottom:18px">
            <a class="amenu" href="{@HREF}">
              <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
            </a>
          </td>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="position()!=last()">
        <td style="background-image:url(images/menuhr.jpg); background-repeat:no-repeat; background-position:center top;" width="19px" height="56px">
<div style="width:19px"></div></td>
      </xsl:if>
    </xsl:template>	

</xsl:stylesheet>